namespace _2024._11._22
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Verem<int> verem = new Verem<int>(5);

            Console.WriteLine("Elemlista hozzáadása a veremhez: ");
            verem.Push(10); verem.Push(20);
            verem.Push(30);
            verem.Kiir();

            Console.WriteLine("\nCsúcselem lekérdezése: " + verem.Peek());

            Console.WriteLine("\nElem eltávolítása a veremből: ");
            Console.WriteLine("Eltávolított elem: " + verem.Pop());
            verem.Kiir();

            Console.WriteLine("\nÚj elem hozzáadása (40):");
            verem.Push(40);
            verem.Kiir();

            Console.WriteLine("\nTöbbszöri elem eltávolítás:");
            verem.Pop();
            verem.Pop();
            verem.Pop();
            verem.Kiir();
        }
    }
}
